Use CometAPI Bria POST /bria/text-to-image to generate 1MP photorealistic images from text with enhancements and flexible aspect ratios.
curl --request POST \
--url https://api.cometapi.com/bria/text-to-image \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "A paper boat floating on calm water at sunrise."
}
'{
"result": [
{
"urls": [
"https://example.com/generated.png"
],
"seed": 278741175,
"uuid": "27c39b06-1dfe-11f1-ad57-6ac2c454c04d_278741175"
}
]
}prompt, keep num_results at 1, and start with aspect_ratio: "1:1" unless you already know the final layout you need.
num_results: 1 for your first smoke testaspect_ratio: "1:1" unless the target layout is already fixedresult array immediately rather than a request_id plus status_url.
Bearer token authentication. Use your CometAPI key.
English text prompt for image generation.
"A paper boat floating on calm water at sunrise."
Number of images to generate. Use 1 for the simplest integration test.
Requested output aspect ratio.
1:1, 2:3, 3:2, 3:4, 4:3, 4:5, 5:4, 9:16, 16:9 Optional seed for reproducible results.
Optional exclusions for the generated image.
Optional refinement step count.
Optional prompt adherence setting.
Optional visual medium.
photography, art Optional prompt enhancement switch.
Optional image detail enhancement switch.
Optional moderation switch.
Optional IP warning flag.
Optional sync hint. Current CometAPI smoke tests returned final results immediately without setting this field.
Image generation result.
Show child attributes
curl --request POST \
--url https://api.cometapi.com/bria/text-to-image \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "A paper boat floating on calm water at sunrise."
}
'{
"result": [
{
"urls": [
"https://example.com/generated.png"
],
"seed": 278741175,
"uuid": "27c39b06-1dfe-11f1-ad57-6ac2c454c04d_278741175"
}
]
}